summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2024-08-08 07:36:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-08 13:26:10 +0700
commitbcae3af939beda1600f8d037d45e3ce929a826ad (patch)
treeecdffc0c8d3d88142b451f80859fda52504eceb7 /perl
parent376949e4d0701ae7f47630327044bd337866aec8 (diff)
downloadslackbuilds-bcae3af939beda1600f8d037d45e3ce929a826ad.tar.gz
slackbuilds-bcae3af939beda1600f8d037d45e3ce929a826ad.tar.xz
perl/perl-Email-MessageID: Added (Generate world unique message-ids).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Email-MessageID/README2
-rw-r--r--perl/perl-Email-MessageID/perl-Email-MessageID.SlackBuild124
-rw-r--r--perl/perl-Email-MessageID/perl-Email-MessageID.info10
-rw-r--r--perl/perl-Email-MessageID/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/perl/perl-Email-MessageID/README b/perl/perl-Email-MessageID/README
new file mode 100644
index 0000000000..aafbd3e061
--- /dev/null
+++ b/perl/perl-Email-MessageID/README
@@ -0,0 +1,2 @@
+Message-ids are optional, but highly recommended, headers that identify
+a message uniquely. This software generates a unique message-id.
diff --git a/perl/perl-Email-MessageID/perl-Email-MessageID.SlackBuild b/perl/perl-Email-MessageID/perl-Email-MessageID.SlackBuild
new file mode 100644
index 0000000000..a259923049
--- /dev/null
+++ b/perl/perl-Email-MessageID/perl-Email-MessageID.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Slackware build script for perl-Email-MessageID
+
+# Copyright 2024 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=perl-Email-MessageID
+VERSION=${VERSION:-1.408}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+# Build method #2
+# requires perl-Module-Build or perl-Module-Build-Tiny
+#perl Build.PL \
+# --installdirs vendor \
+# --config installvendorman1dir=/usr/man/man1 \
+# --config installvendorman3dir=/usr/man/man3
+#./Build
+#./Build test
+#./Build install \
+# --destdir $PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README LICENSE Changes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/perl/perl-Email-MessageID/perl-Email-MessageID.info b/perl/perl-Email-MessageID/perl-Email-MessageID.info
new file mode 100644
index 0000000000..6652841b88
--- /dev/null
+++ b/perl/perl-Email-MessageID/perl-Email-MessageID.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Email-MessageID"
+VERSION="1.408"
+HOMEPAGE="https://metacpan.org/pod/Email::MessageID"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Email-MessageID-1.408.tar.gz"
+MD5SUM="7182738ba61661e55ee2ff758e6bd48c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/perl/perl-Email-MessageID/slack-desc b/perl/perl-Email-MessageID/slack-desc
new file mode 100644
index 0000000000..682456619a
--- /dev/null
+++ b/perl/perl-Email-MessageID/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Email-MessageID: perl-Email-MessageID (Generate world unique message-ids)
+perl-Email-MessageID:
+perl-Email-MessageID: Message-ids are optional, but highly recommended, headers that
+perl-Email-MessageID: identify a message uniquely. This software generates a unique
+perl-Email-MessageID: message-id.
+perl-Email-MessageID:
+perl-Email-MessageID:
+perl-Email-MessageID:
+perl-Email-MessageID:
+perl-Email-MessageID:
+perl-Email-MessageID: